package com.xydl.cac.service;

import com.xydl.cac.entity.Warning;
import com.xydl.cac.model.ConditionModel;
import org.springframework.data.domain.Page;

import java.util.List;


public interface WarningService {

    Page<Warning> list(ConditionModel condition) throws Exception;

    List<Warning> listAll(ConditionModel condition) throws Exception;

    void updateState(Warning warning) throws Exception;

    void oneKeyUpdateState();
}
